# $Id$
# Authority: dag

Summary: Tool for fitting and analyzing data
Name: fityk
Version: 0.8.1
Release: 1.rf
License: GPL
Group: Applications/Engineering
URL: http://www.unipress.waw.pl/fityk/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/fityk/fityk-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc-c++, wxGTK-devel >= 2.6.1, readline-devel 
#BuildRequires: desktop-file-utils

### Builds against own boost headers
#Requires: boost-devel
### gnuplot is recommended, but not required
#Requires: gnuplot

%description
Fityk is a program for nonlinear fitting of analytical functions 
(especially peak-shaped) to data (usually experimental data).
It can be also used for visualization of x-y data only.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name}, 
you will need to install %{name}-devel.

%prep
%setup

%build
%configure LDFLAGS="-s"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

### Clean up docs
%{__rm} -f samples/Makefile* doc/fitykhelp_img/Makefile*

### Bug in fityk 0.8.1. It will be fixed upstream in the next release
%{__mv} -f %{buildroot}%{_datadir}/fityk/tips.txt %{buildroot}%{_datadir}/fityk/fityk_tips.txt

%post
update-desktop-database || :
/sbin/ldconfig

%postun
update-desktop-database || :
/sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO doc/ samples/
%doc %{_mandir}/man1/fityk.1*
%{_bindir}/cfityk
%{_bindir}/fityk
%{_datadir}/applications/fityk.desktop
%{_datadir}/fityk/
%{_datadir}/pixmaps/fityk.png
%{_libdir}/libfityk.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*
%exclude %{_libdir}/libfityk.la
%{_libdir}/libfityk.so

%changelog
* Tue May 01 2007 Dag Wieers <dag@wieers.com> - 0.8.1-1 - +/
- Initial package. (Marcin Wojdyr)
